#!/bin/bash

# Script by ahs3
# Script to select random map from a folder and run bzfs on a loop every 24 hours 
#  https://www.gnu.org/licenses/lgpl.txt




loc=./maps  # dump all maps in this folder.

while true
do

#echo $loc

ls $loc > maplist.txt

sleep 1




map=$(shuf -n1 -e ./maps/*)


sleep 3

bzfs -conf rot.conf -world $map >> rot.log &  #change this to your liking

sleep 86400

kill $!




done
